package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.SbPunish;

import java.util.List;


/**
 *保安奖励搜索类
 * @author Ethan
 */
public class SbPunishSearchDto extends SearchDto<SbPunish> {

	private String sbPunishList;

	public String getSbPunishList() {
		return sbPunishList;
	}

	public void setSbPunishList(String sbPunishList) {
		this.sbPunishList = sbPunishList;
	}
	/**
	 * 用户ID
	 */
	private Long userid;

	/**
	 * 姓名
	 */
	private String name;

	/**
	 * 身份证号
	 */
	private String idNumber;

	/**
	 * 员工编号
	 */
	private String employeeid;

	/**
	 * 部门名称
	 */
	private String departname;

	/**
	 * 奖励日期
	 */
	private String punishDate;

	/**
	 * 奖励内容
	 */
	private String punishContext;

	/**
	 * 奖励原因
	 */
	private String punishReason;

	/**
	 * 备注
	 */
	private String remarks;

	/**
	 * 奖励单位
	 */
	private String punishCompany;


	@Override
	public Long getUserid() {
		return userid;
	}

	@Override
	public void setUserid(Long userid) {
		this.userid = userid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIdNumber() {
		return idNumber;
	}

	public void setIdNumber(String idNumber) {
		this.idNumber = idNumber;
	}

	public String getEmployeeid() {
		return employeeid;
	}

	public void setEmployeeid(String employeeid) {
		this.employeeid = employeeid;
	}

	public String getDepartname() {
		return departname;
	}

	public void setDepartname(String departname) {
		this.departname = departname;
	}

	public String getPunishDate() {
		return punishDate;
	}

	public void setPunishDate(String punishDate) {
		this.punishDate = punishDate;
	}

	public String getPunishContext() {
		return punishContext;
	}

	public void setPunishContext(String punishContext) {
		this.punishContext = punishContext;
	}

	public String getPunishReason() {
		return punishReason;
	}

	public void setPunishReason(String punishReason) {
		this.punishReason = punishReason;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getPunishCompany() {
		return punishCompany;
	}

	public void setPunishCompany(String punishCompany) {
		this.punishCompany = punishCompany;
	}
}
